## git-lfs 3.5.0

=== debian/changelog ===
git-lfs (3.5.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 14:49:00 +1000

git-lfs (3.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 07 Mar 2024 02:13:28 -0600
