=== debian/control ===
Source: git-lfs
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               git,
               golang-any (>= 2:1.12~),
               asciidoctor,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-rubyist-tracerx-dev,
               golang-github-olekukonko-ts-dev,
               golang-github-xeipuuv-gojsonschema-dev,
               golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
               golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
               golang-github-git-lfs-gitobj-dev (>= 2.1.1~),
               golang-github-mattn-go-isatty-dev,
               golang-github-ssgelm-cookiejarparser-dev,
               golang-golang-x-sync-dev,
               golang-github-dpotapov-go-spnego-dev,
               golang-github-git-lfs-pktline-dev,
               golang-github-leonelquinteros-gotext-dev,
               golang-github-jmhodges-clock-dev (>= 1.1-1~),
Standards-Version: 4.6.2
Homepage: https://git-lfs.github.com/
Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
XS-Go-Import-Path: github.com/git-lfs/git-lfs
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: git-lfs
Architecture: any
Depends: git,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Git Large File Support
 An open source Git extension for versioning large files.
 Git Large File Storage (LFS) replaces large files such as
 audio samples, videos, datasets, and graphics with text
 pointers inside Git, while storing the file contents on
 a remote server.

Package: golang-github-git-lfs-git-lfs-dev
Section: golang
Architecture: all
Depends: golang-github-pkg-errors-dev,
         golang-github-spf13-cobra-dev,
         golang-github-rubyist-tracerx-dev,
         golang-github-olekukonko-ts-dev,
         golang-github-xeipuuv-gojsonschema-dev,
         golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
         golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
         golang-github-git-lfs-gitobj-dev (>= 2.1.1~),
         golang-github-mattn-go-isatty-dev,
         golang-github-ssgelm-cookiejarparser-dev,
         golang-golang-x-sync-dev,
         golang-github-dpotapov-go-spnego-dev,
         golang-github-git-lfs-pktline-dev,
         golang-github-leonelquinteros-gotext-dev,
         golang-github-jmhodges-clock-dev (>= 1.1-1~),
         ${misc:Depends}
Description: Git Large File Support (library)
 An open source Git extension for versioning large files.
 Git Large File Storage (LFS) replaces large files such as
 audio samples, videos, datasets, and graphics with text
 pointers inside Git, while storing the file contents on
 a remote server.
 .
 This package contains the source code for git-lfs
