=== debian/changelog ===
git-lfs (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.0

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 21 Jan 2025 00:34:17 -0600

git-lfs (3.5.0-2) unstable; urgency=medium

  * Team upload.
  * Apply upstream patch for CVE-2024-53263:
    - Reject LF bytes in credential data.
    Closes: #1093048.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 20 Jan 2025 18:36:43 +0100
