=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
@@ -24,7 +23,7 @@
                golang-github-git-lfs-pktline-dev,
                golang-github-leonelquinteros-gotext-dev,
                golang-github-jmhodges-clock-dev (>= 1.1-1~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
