=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/git-lfs-$1\.tar\.gz/ \
  https://github.com/github/git-lfs/tags .*/v?([\d\.]*)\.tar\.gz
