## git-lfs 3.7.1

=== debian/changelog ===
git-lfs (3.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1118339)
  * Update standards version to 4.7.2
  * Update watch file to version 4
  * Clean up some superfluous options in the control file

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 25 Nov 2025 01:32:12 -0600
