=== debian/control ===
--- 
+++ 
@@ -23,20 +23,20 @@
                golang-github-git-lfs-pktline-dev,
                golang-github-leonelquinteros-gotext-dev,
                golang-github-jmhodges-clock-dev (>= 1.1-1~),
-Standards-Version: 4.7.0
+               golang-github-golang-groupcache-dev,
+Standards-Version: 4.7.2
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
 XS-Go-Import-Path: github.com/git-lfs/git-lfs
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: git-lfs
 Architecture: any
 Depends: git,
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Git Large File Support
  An open source Git extension for versioning large files.
  Git Large File Storage (LFS) replaces large files such as
