=== debian/watch ===
version=4
https://github.com/git-lfs/git-lfs/tags .*/v?(\d.*)@ARCHIVE_EXT@
